man(1)

NAME
droopy - mini Web server to let others upload files to your computer.

SYNOPSIS
droopy [options] [PORT]

DESCRIPTION
Droopy is a mini Web server whose sole purpose is to let others upload files to your computer.

The default port is 8000.

OPTIONS

-h, --help
    Show help message and exit.

-d DIRECTORY, --directory DIRECTORY
    Set the directory to upload files to.

-m MESSAGE, --message MESSAGE
    Set the message.

-p PICTURE, --picture PICTURE
    Set the picture.

--dl
    Provide download links.

-a USER:PASS, --auth USER:PASS
    Set the authentication credentials.

--ssl PEMFILE
    Set up https using the certificate file.

--chmod MODE
    set the file permissions (octal value).

--save-config
    Save options in a configuration file.

--delete-config
    Delete the configuration file and exit.

EXAMPLE
droopy -m "Hi, this is Bob. You can send me a file." -p avatar.png

AUTHOR
Pierre Duquesne <stackp@online.fr>